Bug 538792 - ath9k: poor signal strength and stability, often gets disconnected
Summary: ath9k: poor signal strength and stability, often gets disconnected
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 12:32 UTC by Stefan Assmann
Modified: 2010-12-04 03:10 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 03:10:07 UTC


Attachments (Terms of Use)

Description Stefan Assmann 2009-11-19 12:32:42 UTC
Description of problem:
I'm experiencing the same problems as in 
http://bugzilla.kernel.org/show_bug.cgi?id=13807 on my EEEPC 1000HE.

The connection often drops, like every few minutes. It worked just fine with F11.

How reproducible:
always

Steps to Reproduce:
1. make use of ath9k

Actual results:
connection drops

Expected results:
connection does not drop

Comment 1 Lonni J Friedman 2009-11-22 17:19:31 UTC
Also seeing this in F12-i686 with:
Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)

Its absolutely horrible, as I use this system in a keyboardless/mouseless home theater setup, and I have to drag over a keyboard to manually restart the network every time it dies.

Even if I set 'iwconfig wlan0 power off' the problem persists.

The parent kernel.org bug seems to suggest that a patched version of compat-wireless is needed to theoretically fix this.  Is there a fedora RPM available anywhere that includes this fix (even in rawhide)?

Comment 2 Paulo Albuquerque 2009-11-25 10:02:13 UTC
At http://bugzilla.kernel.org/show_bug.cgi?id=14267 Rafael J. Wysocki did a bisect and possibly found the defect. There is proposed a bug fix that involves reverting a commit, seems to work (=

Comment 3 Michael Cronenworth 2009-11-25 20:42:58 UTC
(In reply to comment #2)
> At http://bugzilla.kernel.org/show_bug.cgi?id=14267 Rafael J. Wysocki did a
> bisect and possibly found the defect. There is proposed a bug fix that involves
> reverting a commit, seems to work (=  

The "bug fix" (not a fix) is defaulting power saving off. You get the same effect by issuing "iwconfig wlan0 power off". Read the kernel.org bug for more info.

Comment 4 Peter Svensson 2009-12-08 08:40:48 UTC
I had the same problems. With the latest ath9k drivers from compat-wireless I have no problems at all. excellent stability and performance.

Comment 5 Walter Tuvell 2009-12-30 17:57:40 UTC
(In reply to comment #4)
> I had the same problems. With the latest ath9k drivers from compat-wireless I
> have no problems at all. excellent stability and performance.  

I can second Peter's suggestion.

My F12 wireless has been flakey for awhile, but the problem escalated to unusability after I got a new Cisco/Linksys WRT610N last week.  Build/install of the 2009-12-11 compat-wireless has now solved the problem.

As an added bonus, my wireless panel applet now displays believable information.  Formerly it showed my own home access point with medium (2-bar) strength/quality and surrounding homes with better reception (4-bar!).  Now that's properly reversed.

And, GKrellM is now showing a steady 95% signal as I sit here, whereas formerly it showed an unsteady 75-80%.  Too, iwlist -scan makes much more sense now.

Finally, I formerly couldn't even admin the router (I could log into its home page, but couldn't navigate from there [except under hardwire]), but now things are copacetic.

Thanks for the hint, Peter!

Comment 6 Michael Cronenworth 2009-12-31 06:45:42 UTC
(In reply to comment #4)
> I had the same problems. With the latest ath9k drivers from compat-wireless I
> have no problems at all. excellent stability and performance.  

Third that, I can leave power management on and wireless is perfect now. If Fedora 12 won't be seeing 2.6.32, will it be possible to package the 2009.12.11 version of the ath9k driver for 2.6.31?

Comment 7 Dan Kimberg 2010-01-17 21:27:51 UTC
Are those of you who've had good luck with compat-wireless still using an otherwise stock Fedora 12 2.6.31 kernel?  I think I'm having the same issue, and compat-wireless does help a lot (eliminates disconnects), but I'm still getting throughput that peaks at about a quarter what I'd expect, and speeds that bounce around a lot, in a spot where I should have a strong signal.  I was considering building the complete wireless-testing kernel, but I'm not sure whether or not I should expect better results that way if I've already tried a handful of compat-wireless builds with the stock F12 2.6.31 kernel.  In case it's relevant, I have an AR9285 chip in a minipcie card (zotac mag).

Comment 8 Michael Cronenworth 2010-01-17 21:47:48 UTC
I'm using the stock F12 kernel with just the updated ath9k driver installed. Steady 25mbit on g and 80mbit on n. Beware of any 2.4ghz device in your area that might cause interference. A wireless mouse or microwave running will mess with your network.

Comment 9 Dan Kimberg 2010-01-17 23:22:50 UTC
Thanks for the reply.  That's probably a bad sign for me, I was hoping I could call it a kernel issue.  I guess I'll probably build the kernel anyway.  I do have some 2.4ghz devices in the house, but I've been turning them off for testing, and that doesn't help any.  Perhaps I'll try a little channel surfing as well, in case there's interference from the neighborhood.

Comment 10 Dan Kimberg 2010-01-17 23:38:08 UTC
I'm a little embarrassed to admit that channel surfing seems to have solved the problem.  Running latest F12 update kernel, ath9k and related modules built from compat-wireless, throughput is now where it should be.  Sorry to have spammed this bug before trying something that trivial.

Comment 11 Dan Kimberg 2010-02-03 16:29:15 UTC
Sorry to keep adding to this thread, but I would hate for anyone else struggling with this problem to be misled by my most recent comment (#10).  I still haven't been able to get ath9k to work reliably.  Although channel surfing did seem to solve the problem briefly, in retrospect that was just a coincidence.  (I shouldn't have posted so quickly, so I waited a few weeks this time, to be sure.)

I've now tried a bunch of newer and older compat-wireless modules, as well as the complete wireless-testing kernel (as of about a week ago), plus an F13 kernel someone recommended, with no luck.  Although I can't completely rule out environmental causes, I've tried many other wireless devices (mostly laptops) in this location, invariably with rock solid performance.  So I don't really have anything new to contribute here, but I wanted to make sure I left a record in case other frustrated AR9285 users find this bug.

Comment 12 Richard Shaw 2010-02-07 15:12:26 UTC
Same here with an Acer laptop running F12 x86_64

lspci output:
Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)

Initially I got a lot of disassociations but trying the latest compat-wireless and now newer F12 kernels fixed that, however I still get horrible performance. Lately the bit rate keeps bouncing between 54Mbit and 1Mbit with my Dlink G router, however, my work laptop with intel wireless is rock solid. 

A iwlist scan showed all the AP's around me are using channel 6 (including mine) or channel 9. I may try another channel but not going to get my hopes up.

Comment 13 Richard Shaw 2010-06-04 02:50:03 UTC
I'm not sure if this still needs to be open. The problem seems to be fixed at some point in 2.6.32 kernel. Have since upgraded to F13 on the laptop and everything is still good.

Comment 14 Bug Zapper 2010-11-04 06:04:42 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Michael Cronenworth 2010-11-04 13:17:19 UTC
FWIW, running F13 and 2.6.34.7-61.fc13.x86_64 seems to be stable and without performance issues.

Comment 16 Bug Zapper 2010-12-04 03:10:07 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.